Welcome!

Welcome to the official BlackBerry Support Community Forums.

This is your resource to discuss support topics with your peers, and learn from each other.

inside custom component

Java Development

Reply
Developer
Posts: 143
Registered: ‎07-14-2008
My Device: Not Specified

Re: Design Problem - Cannot make class persistable

Mark,

 

The column heading on the right clearly says, "Java SDK", and the column numbers are Java SDK versions.

 

This implys that I should be able to use Java SDK 1.5 or 1.6 when compiling against JDK 4.2.1.  However, one CANNOT compile with anything but -source 1.4 (ie Java SDK 1.4), so it is meaningless to say you can use 1.5 or 1.6, and MISLEADING.

 

Patrick

 

BlackBerry Development Advisor
Posts: 15,510
Registered: ‎07-09-2008
My Device: BlackBerry PRIV
My Carrier: Bell

Re: Design Problem - Cannot make class persistable


Berrysoft wrote:

Mark,

 

The column heading on the right clearly says, "Java SDK", and the column numbers are Java SDK versions.

 

This implys that I should be able to use Java SDK 1.5 or 1.6 when compiling against JDK 4.2.1.  However, one CANNOT compile with anything but -source 1.4 (ie Java SDK 1.4), so it is meaningless to say you can use 1.5 or 1.6, and MISLEADING.

 

Patrick

 


Your points I've put in bold are correct.  However, the JDK version and source version relate to two different things.  I think this is where the confusion lies.  The JDK version relates to the actual version of JDK you download and install from Sun (Java executable and library files).  The source version relates to the Java version the source code must conform to.

 

Version 4.2.1 of the BlackBerry JDE will not run when using JDK 1.4.  However all versions of BlackBerry JDE require the same source version.

Mark Sohm
BlackBerry Development Advisor

Please refrain from posting new questions in solved threads.
Problem solved? Click the Accept As Solution button.
Found a bug? Report it using Issue Tracker